MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025994Community[OCCT] OCCT:Modeling Algorithmspublic2015-03-31 16:292017-08-08 13:11
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.0.0 
Summary0025994: Boolean fuse result in invalid result.
DescriptionThere are two solids in file body.brep and wing.brep, load them from the files.
The code snippet to do the boolean fuse operation are as below:
        TopoDS_Shape aBody = ...
        TopoDS_Shape aWing = ...
        BRepAlgoAPI_Fuse aMakeFuse(aBody, aWing);

The generated result can pass check of following but the result is invalid:
        BRepCheck_Analyzer aCheck(aMakeFuse.Shape());
Steps To Reproducerestore body.brep b
restore wing.brep w
bfuse r b w
checkshape r
TagsNo tags attached.
Test case numberbugs modalg_7 bug25994
Attached Files? file icon body.brep (318,813 bytes) 2015-03-31 16:30
? file icon wing.brep (140,190 bytes) 2015-03-31 16:31
png file icon body_wing.png (65,696 bytes) 2015-03-31 16:32
png file icon body_wing_fuse_bug.png (73,802 bytes) 2015-03-31 16:32

- Relationships

-  Notes
(0039049)
msv (developer)
2015-03-31 17:18

Indeed, result looks ugly. However, in the current master version BRepCheck_Analyzer gives the error "BRepCheck_BadOrientationOfSubshape".
(0069198)
apv (tester)
2017-08-08 13:11

Dear BugMaster,

Problem described in issue is not reproduced on current state of OCCT.
Problem has been solved in OCCT7.0.0.

- Issue History
Date Modified Username Field Change
2015-03-31 16:29 Vico Liang New Issue
2015-03-31 16:29 Vico Liang Assigned To => msv
2015-03-31 16:30 Vico Liang File Added: body.brep
2015-03-31 16:31 Vico Liang File Added: wing.brep
2015-03-31 16:32 Vico Liang File Added: body_wing.png
2015-03-31 16:32 Vico Liang File Added: body_wing_fuse_bug.png
2015-03-31 17:18 msv Note Added: 0039049
2015-03-31 17:18 msv Steps to Reproduce Updated View Revisions
2015-04-10 10:16 abv Target Version 6.8.0 => 6.9.0
2015-04-13 23:44 msv Target Version 6.9.0 => 7.1.0
2016-10-28 17:52 msv Target Version 7.1.0 => 7.2.0
2017-07-21 11:22 msv Target Version 7.2.0 => 7.3.0
2017-08-08 13:10 apv Assigned To msv => apv
2017-08-08 13:10 apv Status new => feedback
2017-08-08 13:11 apv Test case number => bugs modalg_7 bug25994
2017-08-08 13:11 apv Note Added: 0069198
2017-08-08 13:11 apv Assigned To apv => bugmaster
2017-08-08 13:11 apv Status feedback => closed
2017-08-08 13:11 apv Resolution open => fixed
2017-08-08 13:11 apv Fixed in Version => 7.0.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker